{ pkgs, ... }:

{
  imports = [
    ../../modules/home/desktop/hyprland
    ../../modules/home/programs/common.nix
    ../../modules/home/programs/firefox.nix
    ../../modules/home/programs/kitty.nix
#    ../../modules/home/programs/modrinth.nix
    ../../modules/home/programs/neovim
    ../../modules/home/programs/git.nix
    ../../modules/home/programs/ssh.nix
    ../../modules/home/theme
    ../../modules/home/theme/blueish.nix
    ../../modules/home/utils/fonts.nix
  ];

  home = {
    username = "xeovalyte";
    homeDirectory = "/home/xeovalyte";
  };

  home.packages = with pkgs; [
    # Desktop Applications
    kdenlive
    gthumb
    unstable.arduino-ide
    unstable.prismlauncher-qt5
  ];

  home.sessionVariables = {
    LIBVA_DRIVER_NAME = "nvidia";
    XDG_SESSION_TYPE = "wayland";
    __GLX_VENDOR_LIBRARY_NAME = "nvidia";
    WLR_NO_HARDWARE_CURSORS = 1;
  };

  home.stateVersion = "23.11";
}
